/*
 * Copyright 2010 DTO Labs, Inc. (http://dtolabs.com)
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package com.dtolabs.rundeck.core.common;

/**
 * interface for node info pertaining to command execution
 */
public interface INodeDesc extends INodeBase{
    
    /**
     * Returns hostname
     *
     * @return Name of node
     */
    String getHostname();
    String getNodename();

    /**
     * Checks equality with another node description
     *
     * @param n
     * @return
     */
    boolean equals(INodeDesc n);
}
