/*
 * Copyright 2011 DTO Solutions, Inc. (http://dtosolutions.com)
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/*
* WFStepContext.java
* 
* User: Greg Schueler <a href="mailto:greg@dtosolutions.com">greg@dtosolutions.com</a>
* Created: 4/6/11 12:58 PM
* 
*/
package com.dtolabs.rundeck.core.execution.workflow;

import com.dtolabs.rundeck.core.execution.StepExecutionItem;


/**
 * WFStepContext holds current step info.
 *
 * @author Greg Schueler <a href="mailto:greg@dtosolutions.com">greg@dtosolutions.com</a>
 */
class WFStepContext {
    private StepExecutionItem stepItem;
    private int step = -1;

    WFStepContext(final StepExecutionItem stepItem, final int step) {
        this.stepItem = stepItem;
        this.step = step;
    }

    /**
     * Return the step item
     */
    public StepExecutionItem getStepItem() {
        return stepItem;
    }

    /**
     * Return the step number in the current workflow
     */
    public int getStep() {
        return step;
    }

}
